Phar::buildFromIterator
Phar::canWrite
Phar
PHP Manual

# Phar::canCompress

(PECL phar:1.0.0-1.2.1)

Phar::canCompress — Returns whether phar extension supports compression using either zlib or bzip2

### Description

bool Phar::canCompress ([ int `$type` ] )

This should be used to test whether compression is possible prior to loading a phar archive containing compressed files.

### Parameters

`type`

  Either Phar::GZ or Phar::BZ2 can be used to test whether compression is possible with a specific compression algorithm (zlib or bzip2).

### Return Values

`TRUE` if compression/decompression is available, `FALSE` if not.

### Examples

Example #1 A Phar::canCompress() example

`<?php
if (Phar::canCompress()) {
echo file_get_contents('phar://compressedphar.phar/internal/file.txt');
} else {
echo 'no compression available';
}
?>`

### See Also

- PharFileInfo::getCompressedSize()
- PharFileInfo::isCompressed()
- PharFileInfo::compress()
- PharFileInfo::decompress()
- Phar::isCompressed()
- Phar::compressFiles()
- Phar::decompressFiles()
- Phar::getSupportedCompression()
- Phar::convertToExecutable()
- Phar::convertToData()

Phar::buildFromIterator
Phar::canWrite
Phar
PHP Manual